This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 431265 - NETDEV WATCHDOG: eth0: transmit timed out
NETDEV WATCHDOG: eth0: transmit timed out
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 15:48 EST by Scott Guthridge
Modified: 2008-06-16 23:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott Guthridge 2008-02-01 15:48:56 EST
Description of problem:

Wired e1000 ethernet stops responding around 1-30 minutes after bringing it up.
Dmesg shows the following new message when the problem occurs:

    NETDEV WATCHDOG: eth0: transmit timed out

Ethernet controller (from lspci) is:

    00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit
    Network Connection (rev 03)

Hardware is a Lenovo T61 laptop 6465-CTO with Intel Core Duo x86-64.


Version-Release number of selected component (if applicable):

    Problem exists in these kernels:
        kernel-2.6.23.14-64.fc7
        kernel-2.6.23.12-52.fc7

    but not in this kernel:
        kernel-2.6.21-1.3194.fc7.x86_64.rpm

Steps to Reproduce:
1. ifup eth0
2. visit web pages, download files, etc. for around 30 minutes

The problem *may* occur faster under high network load.  But the corrolation is
not clear -- a few large transfers may work fine.  Also, the problem will occur
eventually even under very light network load.

You can fix the problem by just doing an "ifdown eth0" followed by an "ifup
eth0".  It reliably continues to fail again within the next 30 minutes or so of
each restart.

BTW: wireless is working reliably, so I don't much suspect dhcp or the
NetworkManager daemon doing something to cause it.  I've also tried wired
networks at different locations, so I don't suspect something specific to the
network it's plugged into.
Comment 1 Bug Zapper 2008-05-14 11:17:43 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 23:00:34 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.